[{hirsute, groovy, focal}:linux][PATCH 1/1] UBUNTU: [Packaging] Return non zero rc when updateconfigs fails

Marcelo Henrique Cerri marcelo.cerri at canonical.com
Mon Mar 29 18:01:43 UTC 2021


Update the kernelconfig script to report errors via its return
code. That causes the updateconfigs target and `cranky updateconfigs`
to also return a non zero return code when some check fails (ie, a
config doesn't match with its annotation).

Properties: no-test-build
Ignore:yes
Signed-off-by: Marcelo Henrique Cerri <marcelo.cerri at canonical.com>
---
 debian/scripts/misc/kernelconfig | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/debian/scripts/misc/kernelconfig b/debian/scripts/misc/kernelconfig
index 888cc892d936..e4ca26abf855 100755
--- a/debian/scripts/misc/kernelconfig
+++ b/debian/scripts/misc/kernelconfig
@@ -205,3 +205,7 @@ if [ "$warning_partial" ]; then
 	echo "WARNING: configuration operation applied only to a subset of architectures (skipped$warning_partial)" 1>&2
 	echo ""
 fi
+
+[ "$fail" != 0 ] && exit 1
+
+exit 0
-- 
2.25.1




More information about the kernel-team mailing list